{
	"easycom": {
		"autoscan": true,
		"custom": {
			"^u--(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
			"^up-(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
			"^u-([^-].*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
			"^CustomToast$": "@/components/CustomToast.vue"
		}
	},

	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "我的任务",
				"enablePullDownRefresh": true
			}
		},
		{
			"path": "pages/tabbar/my",
			"style": {
				"navigationBarTitleText": "个人中心"
			},
			"meta": {
				"auth": false
			}
		}, {
			"path": "pages/tabbar/visitor",
			"style": {
				"navigationBarTitleText": "访客中心"
			},
			"meta": {
				"auth": false
			}
		}

	],
	"preloadRule": {
		"pages/index/index": {
			"network": "all",
			"packages": ["pagesA"]
		}
	},
	"subPackages": [{
			"root": "pagesA",
			"pages": [{
					"path": "public/login",
					"style": {
						"navigationBarTitleText": "登录",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "public/richtext",
					"style": {
						"navigationBarTitleText": "用户协议和隐私政策"
					}
				},
				{
					"path": "public/phone-login",
					"style": {
						"navigationBarTitleText": "手机登录"
					}
				},
				{
					"path": "user/index",
					"style": {
						"navigationBarTitleText": "用户信息"
					}
				},
				// {
				// 	"path": "task/edit",
				// 	"style": {
				// 		"navigationBarTitleText": "申请访问"
				// 	}
				// },
				{
					"path": "task/detail",
					"style": {
						"navigationBarTitleText": "访客详情"
					}
				}
			]
		}


	],
	"tabBar": {
		"color": "#999999",
		"selectedColor": "#292C35",
		"borderStyle": "white",
		"backgroundColor": "#FFFFFF",
		"list": [
			// {
			// 	"pagePath": "pages/index/index-copy",
			// 	"text": "%index.home%"
			// },
			{
				"pagePath": "pages/index/index",
				"iconPath": "/static/tabbar/task.png",
				"selectedIconPath": "/static/tabbar/task-select.png",
				"text": "提交申请"
			},
			{
				"pagePath": "pages/tabbar/visitor",
				"iconPath": "/static/tabbar/record.png",
				"selectedIconPath": "/static/tabbar/record-select.png",
				"text": "访客记录"
			},
			{
				"pagePath": "pages/tabbar/my",
				"iconPath": "/static/tabbar/my.png",
				"selectedIconPath": "/static/tabbar/my-select.png",
				"text": "个人信息"
			}
		]
	},
	"globalStyle": {
		"navigationBarTextStyle": "white",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#363636",
		"backgroundColor": "#363636"
	}


}